#
# spec file for package partclone
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Mariusz Fik <fisiu@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           partclone
Version:        0.2.89
Release:        2.6
Summary:        File System Clone Utilities
License:        GPL-2.0+
Group:          System/Filesystems
Url:            http://partclone.org/
Source:         https://github.com/Thomas-Tsai/partclone/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  e2fsprogs-devel
BuildRequires:  fdupes
BuildRequires:  libbtrfs-devel
BuildRequires:  libreiserfs-devel
BuildRequires:  ncurses-devel
BuildRequires:  nilfs-utils-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libntfs-3g)
BuildRequires:  pkgconfig(uuid)
# 0.3 branch seems currently abandoned
Provides:       %{name} = 0.3.0~gitbcaa
Obsoletes:      %{name} = 0.3.0~gitbcaa
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A set of file system clone utilities, including
ext2/3, reiserfs, reiser4, xfs, hfs+ file systems

%lang_package

%prep
%setup -q

%build
%configure \
  --enable-ncursesw \
  --enable-fs-test \
  --enable-btrfs \
  --enable-extfs \
  --enable-fat \
  --enable-hfsp \
  --enable-ntfs \
  --enable-xfs \
  --enable-f2fs \
  --enable-nilfs2 \
  --enable-minix \
  --enable-reiserfs
make %{?_smp_mflags}

%install
make \
  %{?_smp_mflags} \
  DESTDIR=%{buildroot} \
  INSTLIBDIR=%{buildroot}%{_datadir}/%{name} \
  install
%fdupes -s %{buildroot}%{_datadir}
%find_lang %{name}

%files
%defattr(-,root,root)
%doc ChangeLog README.md COPYING
%{_sbindir}/partclone.btrfs
%{_sbindir}/partclone.chkimg
%{_sbindir}/partclone.dd
%{_sbindir}/partclone.ext2
%{_sbindir}/partclone.ext3
%{_sbindir}/partclone.ext4
%{_sbindir}/partclone.ext4dev
%{_sbindir}/partclone.extfs
%{_sbindir}/partclone.f2fs
%{_sbindir}/partclone.fat
%{_sbindir}/partclone.fat12
%{_sbindir}/partclone.fat16
%{_sbindir}/partclone.fat32
%{_sbindir}/partclone.hfs+
%{_sbindir}/partclone.hfsp
%{_sbindir}/partclone.hfsplus
%{_sbindir}/partclone.imager
%{_sbindir}/partclone.info
%{_sbindir}/partclone.minix
%{_sbindir}/partclone.nilfs2
%{_sbindir}/partclone.ntfs
%{_sbindir}/partclone.ntfsfixboot
%{_sbindir}/partclone.ntfsreloc
%{_sbindir}/partclone.reiserfs
%{_sbindir}/partclone.restore
%{_sbindir}/partclone.vfat
%{_sbindir}/partclone.xfs
%{_mandir}/man8/partclone.8%{ext_man}
%{_mandir}/man8/partclone.btrfs.8%{ext_man}
%{_mandir}/man8/partclone.chkimg.8%{ext_man}
%{_mandir}/man8/partclone.dd.8%{ext_man}
%{_mandir}/man8/partclone.ext2.8%{ext_man}
%{_mandir}/man8/partclone.ext3.8%{ext_man}
%{_mandir}/man8/partclone.ext4.8%{ext_man}
%{_mandir}/man8/partclone.ext4dev.8%{ext_man}
%{_mandir}/man8/partclone.extfs.8%{ext_man}
%{_mandir}/man8/partclone.f2fs.8%{ext_man}
%{_mandir}/man8/partclone.fat.8%{ext_man}
%{_mandir}/man8/partclone.fat12.8%{ext_man}
%{_mandir}/man8/partclone.fat16.8%{ext_man}
%{_mandir}/man8/partclone.fat32.8%{ext_man}
%{_mandir}/man8/partclone.hfs+.8%{ext_man}
%{_mandir}/man8/partclone.hfsp.8%{ext_man}
%{_mandir}/man8/partclone.hfsplus.8%{ext_man}
%{_mandir}/man8/partclone.imager.8%{ext_man}
%{_mandir}/man8/partclone.info.8%{ext_man}
%{_mandir}/man8/partclone.minix.8%{ext_man}
%{_mandir}/man8/partclone.nilfs2.8%{ext_man}
%{_mandir}/man8/partclone.ntfs.8%{ext_man}
%{_mandir}/man8/partclone.ntfsfixboot.8%{ext_man}
%{_mandir}/man8/partclone.ntfsreloc.8%{ext_man}
%{_mandir}/man8/partclone.reiserfs.8%{ext_man}
%{_mandir}/man8/partclone.restore.8%{ext_man}
%{_mandir}/man8/partclone.vfat.8%{ext_man}
%{_mandir}/man8/partclone.xfs.8%{ext_man}
%{_datadir}/partclone

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Jul  3 2016 mpluskal@suse.com
- Update to version 0.2.89:
  * small bugfixes
* Sun Mar 20 2016 mpluskal@suse.com
- Switch to 0.2.88 (as 0.3 branch seems to be currently abandoned)
- Enable more filesystems
- Remove ppc excludes as build now succeeds
- Cleanup spec file
- Drop upstreamed partclone-missing-includes.patch
* Thu Aug 13 2015 normand@linux.vnet.ibm.com
- ExcludeArch:    ppc ppc64 ppc64le
  PowerPC do not support the fail-mbr/fail-mbr.S
* Wed Jun 24 2015 dimstar@opensuse.org
- Add partclone-missing-includes.patch: Fix build with GCC5 by
  correctly including the needed headers.
* Sat Mar 21 2015 mpluskal@suse.com
- Remove conditions that applied to old releases
* Wed Mar 18 2015 mpluskal@suse.com
- Update to 0.3.0~gitbcaa
  * for a full list of changes see attached Changelog
* Thu Oct  3 2013 fisiu@opensuse.org
- Update to 0.2.58:
  * ship failmbr
  * fixed jfs issues
  * fixed ncurses interface
  * updated doc and man pages
* Wed Nov  7 2012 fisiu@opensuse.org
- Update to 0.2.48:
  * fixed VMFS-5 and NTFS cloning
  * updated the ntfsfixboot version
  * memory usage optimized
  * updated man pages
- Build with support for btrfs, extfs, fat, hfsp, ntfs, reiserfs.
* Thu Apr 19 2012 highwaystar.ru@gmail.com
- update to 0.2.38
* Sun Sep 19 2010 highwaystar.ru@gmail.com
- built with ntfs support
- built with jfs support
* Fri Sep 17 2010 highwaystar.ru@gmail.com
- initial build for openSUSE
- not all filesystems supported yet
